jvx.geom

## Class PwParameterLines

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.geom.PwParameterLines

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwParameterLines
      extends PjWorkshop

  Workshop for parameter lines of a PgElementSet. Lines are extracted from the combinatorial properties of the geometry.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    11.04.04, 1.10 revised (kp) Handling of update and backup geometry corrected.
    21.10.03, 1.00 created (ur)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwParameterLines()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getParameterLines()` Get parameter lines of the workshop's geometry, extracted from its combinational properties, as a new PgPolygonSet.
    `static PgPolygonSet` | `getParameterLines(PgElementSet geom)` Get parameter lines of a PgElementSet, extracted from its combinational properties, as a new PgPolygonSet.
    `void` | `init()` Initialisation
    `void` | `refineParameterLines()` Refine the parameter lines of the workshop's geometry by DLG refinement.
    `static void` | `refineParameterLines(PgElementSet geom, int grade)` Refine the parameter lines of an PgElementSet by DLG refinement.
    `void` | `reset()` Reset the workshop to its initial status.
    `void` | `setGeometry(PgElementSet geom)` Store the geometry as PgElementSet to this workshop.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Constructor Detail

    - #### PwParameterLines

          public PwParameterLines()

      Constructor.
      Author:
        Ulrich Reitebuch
      Version:
        21.10.03, 1.00 created (ur)

  - ### Method Detail

    - #### init

          public void init()

      Initialisation
      Overrides:
        `init` in class `PjWorkshop`

    - #### setGeometry

          public void setGeometry(PgElementSet geom)

      Store the geometry as PgElementSet to this workshop.
      Author:
        Ulrich Reitebuch
      Version:
        21.10.03, 1.00 created (ur)

    - #### reset

          public void reset()

      Reset the workshop to its initial status.
      Overrides:
        `reset` in class `PjWorkshop`
      Author:
        Ulrich Reitebuch
      Version:
        11.04.04, 1.10 revised (kp) Superfluous copy() invocations removed.
        21.10.03, 1.00 created (ur)

    - #### refineParameterLines

          public void refineParameterLines()

      Refine the parameter lines of the workshop's geometry by DLG refinement. Attention, the PgElementSet will have bad neighbourhood properties afterwards: If an edge gets refined, the adjacent elements will have each other as neighbours more than once.
      Author:
        Ulrich Reitebuch
      Version:
        21.10.03, 1.00 created (ur)

    - #### getParameterLines

          public void getParameterLines()

      Get parameter lines of the workshop's geometry, extracted from its combinational properties, as a new PgPolygonSet. Existing boundary polygons are used as parameter lines along the boundary; if no boundary polygons exist, all boundary edges are returned as parameter lines of only one single edge. The new PgPolygonSet is added to the display registered in the workshop.
      Author:
        Ulrich Reitebuch
      Version:
        21.10.03, 1.10 created (ur)

    - #### getParameterLines

          public static PgPolygonSet getParameterLines(PgElementSet geom)

      Get parameter lines of a PgElementSet, extracted from its combinational properties, as a new PgPolygonSet. Existing boundary polygons are used as parameter lines along the boundary; if no boundary polygons exist, all boundary edges are returned as parameter lines of only one single edge.
      Author:
        Ulrich Reitebuch
      Version:
        21.10.03, 1.10 revised (ur) moved to PwParameterLines from PwCleanMesh. 03.05.02, 1.00 created (ur)

    - #### refineParameterLines

          public static void refineParameterLines(PgElementSet geom,
                                                  int grade)

      Refine the parameter lines of an PgElementSet by DLG refinement. Attention, the PgElementSet will have bad neighbourhood properties afterwards: If an edge gets refined, the adjacent elements will have each other as neighbours more than once.
      Author:
        Ulrich Reitebuch
      Version:
        13.07.17, 1.40 revised (ur) Also refine vertrex colors and vertex textures.
        22.04.04, 1.30 revised (ur) Pass vertex normals to refine polygon workshop for blending.
        21.10.03, 1.20 revised (ur) moved to PwParameterLines from PwCleanMesh.
        19.06.02, 1.10 revised (ur) Added handling of element textures.
        06.05.02, 1.00 created (ur)

"

The software JavaView? is copyright protected. All Rights Reserved.
"